- Qt 6.9
- Active Qt
- Tools for ActiveQt
- The dumpdoc Tool (ActiveQt)
- Qt 6.9.3 Reference Documentation

The dumpcpp Tool (ActiveQt) ◦ Using ActiveX controls and COM in Qt

# The dumpdoc Tool (ActiveQt)

The `dumpdoc` tool generates Qt-style documentation for any COM object and writes it into the file specified.

Call `dumpdoc` with the following command line parameters:

Option | Result
--- | ---
-o file | Writes output to file
object | Generate documentation for object
-v | Print version information
-h | Print help

object must be an object installed on the local machine (ie. remote objects are not supported), and can include subobjects accessible through properties, ie. `Outlook.Application/Session/CurrentUser`

The generated file will be an HTML file using Qt documentation style.

To build the tool you must first build the QAxContainer library. Then run your make tool in `tools/dumpdoc`.

The dumpcpp Tool (ActiveQt) ◦ Using ActiveX controls and COM in Qt